using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Globalization;
using System.Web.Security;
using PushPlatform.Data;

namespace PushPlatform.Data.MvcModel
{
    public partial class ProjectInfoModel
    {
        
        #region Column Mapped Properties
        
        
        [Display(Name = "Id")]
        public System.String Id { get; set; }
        
        [Display(Name = "Projectname")]
        public System.String Projectname { get; set; }
        
        [Display(Name = "Projecttype")]
        public System.Int32 Projecttype { get; set; }
        
        [Display(Name = "Internalprincipal")]
        public System.String Internalprincipal { get; set; }
        
        [Display(Name = "Internalprincipalmobile")]
        public System.String Internalprincipalmobile { get; set; }
        
        [Display(Name = "DbConnectid")]
        public System.String DbConnectid { get; set; }
        
        [Display(Name = "ObjectSql")]
        public System.String ObjectSql { get; set; }
        
        [Display(Name = "ChildProjectinfo")]
        public System.String ChildProjectinfo { get; set; }
        
        [Display(Name = "UserSql")]
        public System.String UserSql { get; set; }
        
        [Display(Name = "CreateUser")]
        public System.String CreateUser { get; set; }
        
        [Display(Name = "CreateTime")]
        public System.DateTime CreateTime { get; set; }
        
        [Display(Name = "UpdateUser")]
        public System.String UpdateUser { get; set; }
        
        [Display(Name = "UpdateTime")]
        public System.DateTime? UpdateTime { get; set; }
        
        [Display(Name = "IsDeleted")]
        public System.SByte IsDeleted { get; set; }
        
        [Display(Name = "Timestamp")]
        public System.Int64 Timestamp { get; set; }
        
        
        
        
        
        
        
        #endregion
        
        
    }
}

